<nav class="navbar navbar-toggleable-md sticky-top navbar-light bg-faded">
  <div class="container">
    <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#mainNavigation" aria-controls="mainNavigation" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <a class="navbar-brand" [routerLink]="['/']" [routerLinkActive]="['active']">{{ domain.NAME }}</a>
    <div class="collapse navbar-collapse justify-content-end" id="mainNavigation">
      <ul class="navbar-nav" *ngIf="!isLoggedIn">
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['/login']" [routerLinkActive]="['active']">Login</a>
        </li>
        <li class="nav-item" *ngIf="domain.CAN_REGISTER">
          <a class="nav-link" [routerLink]="['/register']" [routerLinkActive]="['active']">Register</a>
        </li>
      </ul>

      <ul class="navbar-nav" *ngIf="isLoggedIn">
        <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/dashboard']"><i class="fa fa-newspaper-o" aria-hidden="true"></i></a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fa fa-user-circle" aria-hidden="true"></i>
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item" [routerLink]="['/users']" [routerLinkActive]="['active']">Users</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" [routerLink]="['/settings']" [routerLinkActive]="['active']">Settings</a>
            <a class="dropdown-item" (click)="logout()" [routerLink]="['/login']">Logout</a>
          </div>
        </li>
      </ul>
    </div>
  </div>
</nav>
